Subject: Re: [PATCH net] net/ipv6: Revert attempt to simplify route replace and append

From: Ido Schimmel <[email-masked]>
Date: Tue, 3 Jul 2018 16:43:02 +0300

On Mon, Jul 02, 2018 at 03:03:12PM -0700, [email-masked] wrote:
> From: David Ahern <[email-masked]>
> 
> NetworkManager likes to manage linklocal prefix routes and does so with
> the NLM_F_APPEND flag, breaking attempts to simplify the IPv6 route
> code and by extension enable multipath routes with device only nexthops.
> 
> Revert f34436a43092 and its followup
> 6eba08c3626b ("ipv6: Only emit append events for appended routes").
> Update the test cases to reflect the old behavior.
> 
> Fixes: f34436a43092 ("net/ipv6: Simplify route replace and appending into multipath route")
> Signed-off-by: David Ahern <[email-masked]>
> ---
> Ido: I left 5a15a1b07c51. FIB_EVENT_ENTRY_APPEND is not generated for
>      IPv6, so no harm in leaving it.

OK, but I had a follow-up series that did further changes in mlxsw
(merge commit eab9a2d5f323) to support the new behavior. You want to
revert it and squash to v2 or I'll send another revert?

Also, Petr added a multipath test that relies on IPv6 device only
nexthops. See commit 54818c4c4b937.